#!/bin/bash

# Path to the config file
config_file="/data/plugins/user_interface/peppy_screensaver/peppymeter/config.txt"

# Read the values of base.folder and meter.folder from the config file
base_folder=$(grep -oP 'base.folders*=\s*\K.*' "$config_file" | tr -d '[:space:]')
meter_folder=$(grep -oP 'meter.folder\s*=\s*\K.*' "$config_file" | tr -d '[:space:]')

# Build the path to the meters.txt file
meters_file="/data/INTERNAL/peppy_screensaver/templates/$base_folder/$meter_folder/meters.txt"

# Read the content of meters.txt and print everything between []
# Check if meters.txt exists
if [ ! -f "$meters_file" ]; then
    echo "Error: meters.txt does not exist at $meters_file"
    exit 1
fi

# Read content of meters.txt and strip []
meters_content=$(grep -o '\[.*\]' "$meters_file" | tr -d '[]')

# Place content of meters.txt in an array
readarray -t meters_array <<<"$meters_content"

# Print the elements of the array
echo "Contents of meters.txt:"
for meter in "${meters_array[@]}"; do
    echo "$meter"
done


# Path to the config file


# Get the current meter value from the config file
current_meter=$(grep '^meter =' "$config_file" | cut -d '=' -f2 | tr -d '[:space:]')

# Find the index of the current_meter value in the array
current_index=-1
for ((i=0; i<${#meters_array[@]}; i++)); do
    if [[ "${meters_array[i]}" == "$current_meter" ]]; then
        current_index=$i
        break
    fi
done

# Calculate the next index in the array
next_index=$(( (current_index + 1) % ${#meters_array[@]} ))

# Get the next meter value from the array
next_meter=${meters_array[next_index]}

# Overwrite the line in the config file with the next meter value
sed -i "s/^meter =.*/meter = $next_meter/" "$config_file"

echo "volumio_peppymeter.py is running. Killing processes..."
rm /tmp/peppyrunning
XAUTHORITY=~volumio/.Xauthority /data/plugins/user_interface/peppy_screensaver/peppymeter/run_peppymeter.sh
	


